Bug 1018510 - nmcli: add support for getting and setting system hostname
nmcli: add support for getting and setting system hostname
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jirka Klimes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-12 15:12 EDT by Dan Williams
Modified: 2016-01-04 01:03 EST (History)
6 users (show)

See Also:
Fixed In Version: NetworkManager-0.9.9.0-28.git20131212.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:53:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2013-10-12 15:12:52 EDT
nmcli should add a 'hostname' command to the 'general' or 'networking' category.  How about the following?

# nmcli g hostname
dcbw.foobar.com
# nmcli g hostname blah.it.com
#

Or something along those lines, using the nm_remote_settings_save_hostname() method in libnm-glib.
Comment 2 Jirka Klimes 2013-11-07 06:11:56 EST
The code is up for a review in upstream branch jk/rh1018510-nmcli-hostname.
Comment 3 Thomas Haller 2013-11-11 09:34:31 EST
looks mostly good to me.

I pushed two minor fixups over your branch jk/rh1018510-nmcli-hostname.
Comment 4 Dan Winship 2013-11-12 14:52:22 EST
patch looks good. Not sure about Thomas's autocompletion support for it... presumably if you are setting the name, you're setting it to something new, so it doesn't make sense to autocomplete from anything...
Comment 5 Thomas Haller 2013-11-12 15:02:13 EST
(In reply to Dan Winship from comment #4)
> patch looks good. Not sure about Thomas's autocompletion support for it...
> presumably if you are setting the name, you're setting it to something new,
> so it doesn't make sense to autocomplete from anything...

True, I was thinking that too. But the chances are, that the new name will be somewhat similar and/or that is has the same domain.
Comment 6 Jirka Klimes 2013-11-13 06:29:23 EST
Pushed to upstream master:
ce370fa cli: add bash-completion for 'nmcli general hostname'
79ac1cf cli: add support for getting/setting hostname to nmcli (rh #1018510)

I think the completion may be useful. Otherwise we can adapt/remove it later.
Comment 9 Vladimir Benes 2014-03-18 10:49:56 EDT
[vbenes@svine ~]$ sudo nmcli general hostname prase
[vbenes@svine ~]$ cat /etc/hostname 
prase
Comment 10 Ludek Smid 2014-06-13 07:53:45 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.